/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.require('goog.testing.jsunit');
goog.require('goog.testing.MockStorage');
goog.require('pricecheck.db.Abstract');


var db;

function setUp() {
    db = new pricecheck.db.Abstract('test', new goog.testing.MockStorage(), 
        new goog.structs.Map());
};

function tearDown() {
    if (!db.isDisposed) {
        db.clear();
        db.dispose();
    }
};

function testConstructor() {
    assertTrue('instance must extend goog.Disposable', db instanceof 
        goog.Disposable);
};

function testGetNamespace() {
    assertEquals('namespace must be set correctly', 'test', db.getNamespace());
};

function testGetNamespace() {
    assertEquals('namespace must be set correctly', 'test', db.getNamespace());
};

function testSet() {
    db.set('foo', 'bar');
    assertEquals('set must persist in memory', 'bar', db.findById('foo'));
}

function testDispose() {
    db.dispose();
    // assertUndefined('map must be must be disposed', db.getMap());
};