/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 * Edited By: 		Chris Humboldt
 * Edited Date: 	21 November 2013
 */
goog.provide('pricecheck.ui.page.barcode.Scanner');

goog.require('goog.ui.Component');



/**
 * Barcode scanner
 *
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {goog.ui.Component}
 */
pricecheck.ui.page.barcode.Scanner = function(opt_domHelper) {
    goog.ui.Component.call(this, opt_domHelper);

};
goog.inherits(pricecheck.ui.page.barcode.Scanner, goog.ui.Component);


/**
 * @inheritDoc
 */
pricecheck.ui.page.barcode.Scanner.prototype.createDom = function(){
	
	pricecheck.ui.page.barcode.Scanner.superClass_.createDom.call(this);

	// Execute the scan
	window.plugins.barcodeScanner.scan(function($result){
		
		// Check to see if the scan was manually cancelled
		if($result.cancelled == true){
			
			// Go back in the history
			history.back();
		}
		else{
			
			// Navigate to the result
			window.location.href = '#search/' + $result.text;
		}
	},
	function($error){
		
		// There was a critical scanning error
		// alert('Scanning failed: ' + $error + '<br><br>Would you like to input the barcode number manually?');
		
		if(confirm('Scanning failed: ' + $error + '\n\nWould you like to input the barcode number manually?')){
			
			// Navigate to the result
			window.location.href = '#barcode_manual/';
		}
		else {
			
			// Go back in the history
			history.back();
		}
	});
};
