/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.page.insurance.Intermediate');

goog.require('goog.dom');
goog.require('goog.dom.classes');
goog.require('goog.ui.Component');
goog.require('pricecheck.net.Xhr');
goog.require('pricecheck.ui.page.insurance.template');



/**
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {goog.ui.Component}
 */
pricecheck.ui.page.insurance.Intermediate = function(opt_domHelper) {
    goog.ui.Component.call(this, opt_domHelper);


};
goog.inherits(pricecheck.ui.page.insurance.Intermediate, goog.ui.Component);


/**
 * @inheritDoc
 */
pricecheck.ui.page.insurance.Intermediate.prototype.createDom = function() {
    pricecheck.ui.page.insurance.Intermediate.superClass_.createDom.call(this);

    var headerEl = goog.dom.createDom('h1', {'class':
        goog.getCssName('border-bottom')}, 'Insurance');
    goog.dom.appendChild(this.element_, headerEl);

    goog.dom.appendChild(this.element_,
        goog.soy.renderAsElement(pricecheck.ui.page.insurance.template.Intermediate,{}));

    var url = 'data/intermediate.json';
    pricecheck.net.Xhr.send(
        url,
        null,
        goog.bind(this.onFetchSuccess, this),
        null,
        'GET',
        true);
};


/**
 * @inheritDoc
 */
pricecheck.ui.page.insurance.Intermediate.prototype.disposeInternal = function() {
    pricecheck.ui.page.about.About.superClass_.disposeInternal.call(this);
};


/**
 * The about content XHR success callback.
 * @param {String} response The XHR response HTML string.
 * @protectedß
 */
pricecheck.ui.page.insurance.Intermediate.prototype.onFetchSuccess = function(response) {

    goog.structs.forEach(response, function(section) {
       
        if (section['content']) {
            var content = goog.dom.createDom('div', {'class':
                goog.getCssName('insurance-text-block')});
            goog.dom.appendChild(this.element_, content);
            content.innerHTML = section['content'];
        }
    }, this);
	
	$('#content a').on('click', function(e){
		
		if($(this).attr('href') != undefined){

			if($(this).attr('href').substr(0,1) != "#"){
			    e.preventDefault();
			    e.stopPropagation();
				window.open($(this).attr('href'), '_system');
			}
		}
	});
};