/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.page.list.CategoryRenderer');

goog.require('goog.ui.Component');

goog.require('pricecheck.ui.list.template');



/**
 * A Category item renderer.
 *
 * @param {Object} item The category item data to render.
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {goog.ui.Component}
 */
pricecheck.ui.page.list.CategoryRenderer = function(item, opt_domHelper) {
    goog.ui.Component.call(this, opt_domHelper);

    /**
     * The category item data to render.
     * @type {Object}
     * @private
     */
    this.item_ = item;
};
goog.inherits(pricecheck.ui.page.list.CategoryRenderer, goog.ui.Component);


/**
 * @inheritDoc
 */
pricecheck.ui.page.list.CategoryRenderer.prototype.createDom = function() {
    pricecheck.ui.page.list.CategoryRenderer.superClass_.createDom.call(this);

    var link = (this.item_['has_children'] == 1) ?
        '#category/' + this.item_['id'] :
        '#products/' + this.item_['id'];

    this.setElementInternal(soy.renderAsElement(
        pricecheck.ui.list.template.Category, {
            item: this.item_,
            link: link
        }));
};
