/**
 * Copyright 2014 PriceCheck
 * @author Kevan Stuart
 */
goog.provide('pricecheck.ui.page.list.ExpertRenderer');

goog.require('goog.ui.Component');
goog.require('pricecheck.ui.page.list.template');



/**
 * @param {Object} item The review item to render.
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {goog.ui.Component}
 */
pricecheck.ui.page.list.ExpertRenderer = function(item, opt_domHelper) {
    goog.ui.Component.call(this, opt_domHelper);

    /**
     * The review item to render.
     * @type {Object}
     * @private
     */
    this.item_ = item;

};
goog.inherits(pricecheck.ui.page.list.ExpertRenderer, goog.ui.Component);


/**
 * @inheritDoc
 */
pricecheck.ui.page.list.ExpertRenderer.prototype.createDom = function() {
    //pricecheck.ui.page.list.ExpertRenderer.superClass_.createDom.call(this);

    this.setElementInternal(soy.renderAsElement(
        pricecheck.ui.page.list.template.Expert,
        {item: this.item_}));
};


/**
 * @inheritDoc
 */
pricecheck.ui.page.list.ExpertRenderer.prototype.enterDocument = function() {
    pricecheck.ui.page.list.ExpertRenderer.superClass_.enterDocument.call(this);

};
