/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.page.product.tabs.Details');

goog.require('goog.array');
goog.require('goog.dom');
goog.require('goog.dom.classes');
goog.require('goog.ui.Component');



/**
 * @param {Object} product The XHR response object.
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {goog.ui.Component}
 */
pricecheck.ui.page.product.tabs.Details = function(product, opt_domHelper) {
    goog.ui.Component.call(this, opt_domHelper);

    /**
     * The XHR response object.
     * @type {Object?}
     * @private
     */
    this.product_ = product;

};
goog.inherits(pricecheck.ui.page.product.tabs.Details, goog.ui.Component);


/**
 * @inheritDoc
 */
pricecheck.ui.page.product.tabs.Details.prototype.createDom = function() {
    pricecheck.ui.page.product.tabs.Details.superClass_.createDom.call(this);

    goog.dom.classes.add(this.element_, goog.getCssName('product-tab-detail'));

    var marginEl = goog.dom.createDom('div', {'class':
        goog.getCssName('margin-inner')});
    goog.dom.appendChild(this.element_, marginEl);

    marginEl.innerHTML = this.product_['description'];
};
