/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.page.product.tabs.Offers');

goog.require('goog.array');
goog.require('goog.dom');
goog.require('goog.ui.Component');

goog.require('pricecheck.ui.list.List');
goog.require('pricecheck.ui.page.list.OfferRenderer');



/**
 * @param {Object} product The XHR response object.
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @constructor
 * @extends {goog.ui.Component}
 */
pricecheck.ui.page.product.tabs.Offers = function(product, opt_domHelper) {
    goog.ui.Component.call(this, opt_domHelper);

    /**
     * The XHR response object.
     * @type {Object?}
     * @private
     */
    this.product_ = product;

};
goog.inherits(pricecheck.ui.page.product.tabs.Offers, goog.ui.Component);


/**
 * @inheritDoc
 */
pricecheck.ui.page.product.tabs.Offers.prototype.createDom = function() {
    pricecheck.ui.page.product.tabs.Offers.superClass_.createDom.call(this);

    // List component
    var offerList = new pricecheck.ui.list.List();
    offerList.setRenderer(pricecheck.ui.page.list.OfferRenderer);
    this.addChild(offerList, true);
    offerList.appendItems(this.product_['offers']);
};
