/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.page.products.ProductsList');

goog.require('goog.array');

goog.require('pricecheck.ui.list.ForeverList');



/**
 * A Product list component.
 *
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @extends {pricecheck.ui.list.ForeverList}
 * @constructor
 */
pricecheck.ui.page.products.ProductsList = function(opt_domHelper) {
    pricecheck.ui.list.ForeverList.call(this, null, opt_domHelper);

};
goog.inherits(pricecheck.ui.page.products.ProductsList,
    pricecheck.ui.list.ForeverList);


/**
 * @inheritDoc
 */
pricecheck.ui.page.products.ProductsList.prototype.onFetchSuccess =
    function(response) {
    pricecheck.ui.page.products.ProductsList.superClass_.onFetchSuccess.call(
        this, response);

    if (response['results']['category']['name']) {
        var parentText = response['results']['category']['parent_name'];
        var currentText = response['results']['category']['name'];
    } else {
        parentText = null;
        currentText = 'Categories';
    }
    this.getParent().setHeaderText(parentText, currentText);

    if (response['results']['products'].length > 0) {
        this.appendItems(response['results']['products']);
    } else {
        if (this.hasChildren()) {
            // We've already rendered item(s), so just stop the forever scroll.
        } else {
            goog.dom.appendChild(this.element_, goog.dom.createDom('div',
                {'class': goog.getCssName('padded-text')},
                'There are no products in this category.'));
        }
        this.stop();
    }
};
