/**
 * Copyright 2012 PriceCheck
 * @author Rob Hofmeyr
 */
goog.provide('pricecheck.ui.page.shop.ReviewList');

goog.require('goog.array');

goog.require('pricecheck.ui.list.ForeverList');



/**
 * A Search list component.
 *
 * @param {goog.dom.DomHelper=} opt_domHelper The DOM helper object for the
 *     document we want to render in.
 * @extends {pricecheck.ui.list.ForeverList}
 * @constructor
 */
pricecheck.ui.page.shop.ReviewList = function(opt_domHelper) {
    pricecheck.ui.list.ForeverList.call(this, null, opt_domHelper);

};
goog.inherits(pricecheck.ui.page.shop.ReviewList,
    pricecheck.ui.list.ForeverList);


/**
 * @inheritDoc
 */
pricecheck.ui.page.shop.ReviewList.prototype.onFetchSuccess =
    function(response) {
    pricecheck.ui.page.shop.ReviewList.superClass_.onFetchSuccess.call(
        this, response);

    this.fetching_ = false;

    if (response['results'].length > 0) {
        this.appendItems(response['results']);
    } else {
        if (this.hasChildren()) {
            // We've already rendered item(s), so just stop the forever scroll.
            this.stop();
        } else {
            goog.dom.appendChild(this.element_, goog.dom.createDom('div',
                {'class': goog.getCssName('padded-text')},
                'No Reviews Found.'));
        }
    }
};
