goog.provide('pricecheck.ui.position');

goog.require('goog.dom');
goog.require('goog.style');



/**
 * Position an abolutely positioned element in the center of the viewport.
 * @param {Element} el The element to position.
 */
pricecheck.ui.position.centerElement = function(el) {
    // Get the current viewport to obtain the scroll offset.
    var doc = document;
    var win = window;
    if (goog.style.getComputedPosition(el) == 'fixed') {
        var x = 0;
        var y = 0;
    } else {
        var scroll = goog.dom.getDocumentScroll();
        var x = scroll.x;
        var y = scroll.y;
    }

    var elementSize = goog.style.getSize(el);
    var viewSize = goog.dom.getViewportSize(win);

    // Blackberry Webworks app's don't return document.body.clientHeight
    // reliably. screen.height is reliable but I think the pixel density affects
    // how big it really is so we subtract 1/3rd of the height.
    if (goog.isDef(window['blackberry'])) {
        viewSize.height = screen.height - (screen.height / 3) + y;
    }
    // Make sure left and top are non-negatives.
    var left = Math.max(x + viewSize.width / 2 - elementSize.width / 2, 0);
    var top = Math.max(y + viewSize.height / 2 - elementSize.height / 2, 0);

    goog.style.setPosition(el, left, top);
};
